<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_222) on Fri Oct 09 16:38:45 CEST 2020 -->
<title>CompatibilityManager</title>
<meta name="date" content="2020-10-09">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CompatibilityManager";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CompatibilityManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="CompatibilityChecker.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="Configuration.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?CompatibilityManager.html" target="_top">Frames</a></li>
<li><a href="CompatibilityManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Interface CompatibilityManager" class="title">Interface CompatibilityManager</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="CompatibilityChecker.html" title="interface in &lt;Unnamed&gt;">CompatibilityChecker</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">CompatibilityManager</span>
extends <a href="CompatibilityChecker.html" title="interface in &lt;Unnamed&gt;">CompatibilityChecker</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>rozé et rabe
 <p>
 Interface who Manage the compatibility (add or remove Incompatibilities and Requirements)</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="CompatibilityManager.html#addIncompatibilities-PartType-java.util.Set-">addIncompatibilities</a></span>(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                    java.util.Set&lt;<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</code>
<div class="block">require : the target can't be in the reference's Requirements</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="CompatibilityManager.html#addRequirements-PartType-java.util.Set-">addRequirements</a></span>(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
               java.util.Set&lt;<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</code>
<div class="block">require : the target can't be in the reference's Incompatibilities</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="CompatibilityManager.html#removeIncompatibility-PartType-PartType-">removeIncompatibility</a></span>(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                     <a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;target)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="CompatibilityManager.html#removeRequirement-PartType-PartType-">removeRequirement</a></span>(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                 <a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;target)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.CompatibilityChecker">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;<a href="CompatibilityChecker.html" title="interface in &lt;Unnamed&gt;">CompatibilityChecker</a></h3>
<code><a href="CompatibilityChecker.html#getIncompatibilities-PartType-">getIncompatibilities</a>, <a href="CompatibilityChecker.html#getRequirements-PartType-">getRequirements</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addIncompatibilities-PartType-java.util.Set-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIncompatibilities</h4>
<pre>void&nbsp;addIncompatibilities(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                          java.util.Set&lt;<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</pre>
<div class="block">require : the target can't be in the reference's Requirements</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to add Incompatibilities</dd>
<dd><code>target</code> - the new Incompatibilities to add</dd>
</dl>
</li>
</ul>
<a name="removeIncompatibility-PartType-PartType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeIncompatibility</h4>
<pre>void&nbsp;removeIncompatibility(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                           <a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;target)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to remove Incompatibilitie</dd>
<dd><code>target</code> - the Incompatibilitie to remove</dd>
</dl>
</li>
</ul>
<a name="addRequirements-PartType-java.util.Set-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRequirements</h4>
<pre>void&nbsp;addRequirements(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                     java.util.Set&lt;<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;target)</pre>
<div class="block">require : the target can't be in the reference's Incompatibilities</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to add Requirements</dd>
<dd><code>target</code> - the new Requirements to add</dd>
</dl>
</li>
</ul>
<a name="removeRequirement-PartType-PartType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeRequirement</h4>
<pre>void&nbsp;removeRequirement(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;reference,
                       <a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;target)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to remove Requirement</dd>
<dd><code>target</code> - the new Requirement to remove</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CompatibilityManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="CompatibilityChecker.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="Configuration.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?CompatibilityManager.html" target="_top">Frames</a></li>
<li><a href="CompatibilityManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
